﻿body {
    /*padding-top: 50px;*/
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

/* Set width of select2 search box to full length by default */
.select2-search input {
    max-width: 100%;
}

/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

textarea.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}

.content-padding {
    padding: 10px;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    /* Set the fixed height of the footer here */
    height: 30px;
    background-color: #f5f5f5;
    position: fixed;
    bottom: 0;
    width: 100%;
}


/* Custom page CSS
-------------------------------------------------- */
/* Not required for template or sticky footer method. */

body > .container {
    padding: 10px 1px 0;
}

.container .text-muted {
    margin: 20px 0;
}

.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
}

code {
    font-size: 80%;
}


table.dataTable thead th {
    overflow: hidden;
    white-space: nowrap;
    vertical-align: top;
    text-overflow: ellipsis;
}

table.dataTable tbody td {
    padding: 5px 5px 5px 5px !important;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
/*styles for centering modal*/
.modal {
    text-align: center;
    padding: 0 !important;
}

    .modal:before {
        content: '';
        display: inline-block;
        height: 100%;
        vertical-align: middle;
        margin-right: -4px; /* Adjusts for spacing */
    }

.modal-dialog {
    display: inline-block;
    text-align: left;
    vertical-align: middle;
}
/*styles for multilevel dropdown*/
.dropdown-submenu {
    position: relative;
}

    .dropdown-submenu > .dropdown-menu {
        top: 0;
        left: 100%;
        margin-top: -6px;
        margin-left: -1px;
        -webkit-border-radius: 0 6px 6px 6px;
        -moz-border-radius: 0 6px 6px;
        border-radius: 0 6px 6px 6px;
    }

    .dropdown-submenu:hover > .dropdown-menu {
        display: block;
    }

    .dropdown-submenu > a:after {
        display: block;
        content: " ";
        float: right;
        width: 0;
        height: 0;
        border-color: transparent;
        border-style: solid;
        border-width: 5px 0 5px 5px;
        border-left-color: #ccc;
        margin-top: 5px;
        margin-right: -10px;
    }

    .dropdown-submenu:hover > a:after {
        border-left-color: #fff;
    }

    .dropdown-submenu.pull-left {
        float: none;
    }

        .dropdown-submenu.pull-left > .dropdown-menu {
            left: -100%;
            margin-left: 10px;
            -webkit-border-radius: 6px 0 6px 6px;
            -moz-border-radius: 6px 0 6px 6px;
            border-radius: 6px 0 6px 6px;
        }

.btn-file {
    position: relative;
    overflow: hidden;
}

    .btn-file input[type=file] {
        position: absolute;
        top: 0;
        right: 0;
        min-width: 100%;
        min-height: 100%;
        font-size: 100px;
        text-align: right;
        filter: alpha(opacity=0);
        opacity: 0;
        background: red;
        cursor: inherit;
        display: block;
    }

input[readonly] {
    background-color: white !important;
    cursor: text !important;
}


.customLink, .customLink:hover,
.customLink:focus {
    color: #333;
    text-decoration: none;
}

/* Styles for file progress */
ol.status-track {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

    ol.status-track li {
        display: inline-block;
        text-align: center;
        line-height: 3em;
    }

    ol.status-track li {
        width: 16%;
    }

        ol.status-track li.status-track-done {
            border-bottom: 4px solid yellowgreen;
            cursor: pointer;
        }

        ol.status-track li.status-track-todo {
            color: silver;
            border-bottom: 4px solid silver;
        }

        ol.status-track li.status-track-active {
            font-weight: bold;
            border-bottom: 4px solid orange;
            -webkit-animation: progress-animation 0.5s linear alternate infinite;
        }

        ol.status-track li:after {
            content: "\00a0\00a0";
        }

        ol.status-track li:before {
            position: relative;
            bottom: -2.5em;
            float: left;
            left: 50%;
            line-height: 1em;
        }

        ol.status-track li.status-track-done:before {
            content: "\2713";
            color: white;
            background-color: yellowgreen;
            height: 1.2em;
            width: 1.2em;
            line-height: 1.2em;
            border: none;
            border-radius: 1.2em;
            cursor: pointer;
        }

@-webkit-keyframes progress-animation {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0.75;
    }

    100% {
        opacity: 0.20;
    }
}

ol.status-track li.status-track-todo:before {
    content: "\039F";
    color: silver;
    background-color: white;
    font-size: 1.5em;
    bottom: -1.6em;
}

ol.status-track li.status-track-active:before {
    content: "\0021";
    color: white;
    background-color: orange;
    height: 1.2em;
    width: 1.2em;
    line-height: 1.2em;
    border: none;
    border-radius: 1.2em;
}
/* End of file status styles*/


/*  MC Simulation Viewer Styles */
.picker-padding {
    padding: 1px 6px;
}

.text-input {
    height: 28px;
}

.zero-margin {
    margin-bottom: 0px;
}

.hr-margin {
    margin-top: 10px;
    margin-bottom: 8px;
    border-top: #cccccc 1px solid;
}
/*  End of MC Simulation Viewer Styles*/

.InputWidth {
    width: 247px !important;
}

.InputWidthTextBox {
    width: 235px !important;
}

/*@media (min-width: 992px) {
    #sidebar.affix-top {
        position: static;
        margin-top: 25px;
        width: 228px;
    }

    #sidebar.affix {
            position: fixed;
            top: 25px;
            width: 228px;
        }
}*/

.affix-top, .affix {
    /*position: static;*/
    position: fixed;
}

@media (min-width: 500px) {

    #sidebar.affix-top {
        position: static;
    }

    #sidebar.affix {
        position: fixed;
        top: 25px;
    }
}

#navListSideBarHelp > li > a {
    /*padding: 3px;*/
}

.shadowBoxSuccess {
    box-shadow: 10px 10px 15px -10px green, 0 1px 4px yellowgreen;
}

.shadowBox {
    box-shadow: 10px 10px 15px -10px rgba(0, 0, 0, 0.5), 0 1px 4px rgba(0, 0, 0, 0.3);
}

.icon-rotate {
    -webkit-animation-name: rotateThis;
    -webkit-animation-duration: .5s;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
}

/*Added on 04/05/2016 for help page*/

.soften {
    color: #ffa100 !important;
    color: #337ab7 !important;
    background-color: #ffa100 !important;
    background-color: #337ab7 !important;
    border-top: 1px solid #f0ad4e;
    border-top: 1px solid #337ab7;
}

#navListSideBarHelp li:hover {
    background-color: #fdf7f7;
    border-color: #f0ad4e;
    border-color: #337ab7;
    /*margin: 20px 0;*/
    /*padding: 10px;*/
    border-left: 1px solid #f0ad4e;
    border-left: 1px solid #337ab7;
}

#navListSideBarHelp li.active {
    background-color: #EEEEEE;
    border-color: #f0ad4e;
    border-color: #337ab7;
    /*margin: 20px 0;*/
    /*padding: 10px;*/
    /*border: 1px solid #e5e5e5;*/
    border-left: 3px solid #f0ad4e;
    border-left: 3px solid #337ab7;
    /*-webkit-border-radius: 6px 0px 0px 6px ;*/
}

/*#navListSideBarHelp > li.active i { 
       opacity: 0.25; 
    }*/

#navListSideBarHelp > li {
    line-height: 12px;
    width: 260px;
    /*width: 100%;*/
    /*padding-left: 10px;*/
}

    #navListSideBarHelp > li:first-child > a {
        -webkit-border-radius: 6px 6px 0 0;
        -moz-border-radius: 6px 6px 0 0;
        border-radius: 6px 6px 0 0;
    }

    #navListSideBarHelp > li:last-child > a {
        -webkit-border-radius: 0 0 6px 6px;
        -moz-border-radius: 0 0 6px 6px;
        border-radius: 0 0 6px 6px;
    }

    #navListSideBarHelp > li > a {
        /*position: relative;
    display: block;*/
        padding: 10px 15px;
    }

.navSubChild {
    font-size: 12px;
    padding-left: 25px;
    display: none;
}

ul#navListSideBarHelp.affix-top {
    width: 280px;
}

ul#navListSideBarHelp.affix {
    top: 20px;
    width: 280px;
    /*width: 325.75px;*/
    /*padding-top: 30px;*/ /*Set the top position of pinned element*/
}

#fundsResultsTable_filter {
    position: absolute;
    right: 29px;
}

#fundsResultsTable_wrapper .row-fluid {
    padding-bottom: 46px;
}

td.highlight {
    color: red !important;
    background: rgb(203, 224, 249) !important;
}

.state-icon {
    left: -5px;
}

.list-group-item-primary {
    color: rgb(255, 255, 255);
    background-color: rgb(66, 139, 202);
}

.well .list-group {
    margin-bottom: 0px;
}

.makeCenter {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 99999999999999999;
    display: block;
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0.4;
    /*filter: alpha(opacity=60);*/
}

.centered {
    position: fixed;
    top: 50%;
    left: 50%;
    margin-top: 2%;
    /*margin-left: -100px;*/
}

.loading-spinner {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 10000;
    background: rgba(255,255,255,0.8) url('/Content/images/loading_spinner.gif') 50% 50% no-repeat;
}

body.loading {
    overflow: hidden;
}

    body.loading .loading-spinner {
        display: block;
    }

.ui-select-multiple input.ui-select-search {
    width: 100% !important;
}

.custom-overlay {
    opacity: 0.5;
    background: #000;
    width: 100%;
    height: 100%;
    z-index: 10;
    top: 0;
    left: 0;
    position: fixed;
}

.makerCheckerItemsTable {
    padding-top: 10px;
    height: 600px;
    overflow-y: auto;
    border-right: 1px solid #ddd;
    border-left: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
}

.tabBorderContinue {
    padding-top: 10px;
    border-right: 1px solid #ddd;
    border-left: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    min-height: 220px;
}

.bold {
    font-weight: bold;
}

.custom-text-box-control {
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

    .custom-text-box-control:focus {
        border-color: #66afe9;
        outline: 0;
        -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    }

.mailbox.nav.nav-pills.nav-stacked > li > a {
    border-top: 0;
    border-left: 3px solid transparent;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    color: #444;
}

.mailbox.nav.nav-pills.nav-stacked > li.active > a,
.mailbox.nav.nav-pills.nav-stacked > li.active > a:hover {
    background-color: #f6f6f6;
    border-left-color: #3c8dbc;
    color: #444;
}

.mailbox.nav.nav-pills.nav-stacked > li.header {
    border-bottom: 1px solid #ddd;
    color: #777;
    margin-bottom: 10px;
    padding: 5px 10px;
    text-transform: uppercase;
}

.fundMapForm {
    padding-top: 20px;
}

.fundMapDetailsSticky {
    display: none;
    position: absolute;
    right: 75px;
    top: 75px;
    border: 1px #ddd solid;
    width: 300px;
}

.fundMapDetailsSticky-client {
    margin-top: 20px;
    float: right;
    margin-right: 19px;
    border: 1px #ddd solid;
    width: 300px;
}

.hide2 {
    display: none;
}

.margin-top-10px {
    margin-top: 10px;
}

.numberBox {
    width: 80px !important;
}

.highlight-red {
    background-color: #ffb2b2;
}

.highlight-grey {
    background-color: #cdcdcd;
}

.highlight-warn {
    background-color: #f6cd94;
}

.customSpinner {
    width: 120px;
}

.client-funds-heading {
    margin-bottom: 5px;
}

.margin-top-100 {
    margin-top: 110px;
}

.cell-error {
    color: #b94a48;
}

#fundMapResultsTable_wrapper_div {
    width: 100%;
}

.horizontal-center {
    text-align: center;
}

.info-label {
    color: #b94a48;
}
.error-label {
    color: red;
}

.modal-full-screen {
    width: 98%;
}

.custom-openpop-iframe {
    width: 100%;
    min-height: 550px;
    border: none;
}

.popup-container .navbar {
    display: none;
    visibility: hidden;
}

.popup-container .footer {
    display: none;
    visibility: hidden;
}

#fundMapResultsTable_wrapper .header-left {
    width: 25%;
}

#fundMapResultsTable_wrapper .header-center {
    width: 50%;
}

#fundMapResultsTable_wrapper .header-right {
    width: 25%;
}

.ng-table-pager .pagination {
    margin: 0px;
}

.custom-page-count-select {
    display: inline-block;
    width: 75px;
}
/* Base for label styling */
.custom-checkbox [type="checkbox"]:not(:checked),
.custom-checkbox [type="checkbox"]:checked {
  position: absolute;
  left: -9999px;
}
.custom-checkbox [type="checkbox"]:not(:checked) + label,
.custom-checkbox [type="checkbox"]:checked + label {
  position: relative;
  padding-left: 1.95em;
  cursor: pointer;
}

/* checkbox aspect */
.custom-checkbox [type="checkbox"]:not(:checked) + label:before,
.custom-checkbox [type="checkbox"]:checked + label:before {
  content: '';
  position: absolute;
  left: 0; top: 0;
  width: 1.5em; height: 1.5em;
  border: 2px solid #ccc;
  background: #fff;
  border-radius: 4px;
  box-shadow: inset 0 1px 3px rgba(0,0,0,.1);
}
/* checked mark aspect */
.custom-checkbox [type="checkbox"]:not(:checked) + label:after,
.custom-checkbox [type="checkbox"]:checked + label:after {
  content: '✔';
  position: absolute;
  top: .18em; left: .18em;
  font-size: 1.4em;
  line-height: 0.8;
  color: #09ad7e;
  transition: all .2s;
  font-family: Helvetica, Arial, sans-serif;
}
/* checked mark aspect changes */
.custom-checkbox [type="checkbox"]:not(:checked) + label:after {
  opacity: 0;
  transform: scale(0);
}
.custom-checkbox [type="checkbox"]:checked + label:after {
  opacity: 1;
  transform: scale(1);
}
/* disabled checkbox */
.custom-checkbox [type="checkbox"]:disabled:not(:checked) + label:before,
.custom-checkbox [type="checkbox"]:disabled:checked + label:before {
  box-shadow: none;
  border-color: #bbb;
  background-color: #ddd;
}
.custom-checkbox [type="checkbox"]:disabled:checked + label:after {
  color: #999;
}
.custom-checkbox [type="checkbox"]:disabled + label {
  color: #aaa;
}
/* accessibility */
.custom-checkbox [type="checkbox"]:checked:focus + label:before,
.custom-checkbox [type="checkbox"]:not(:checked):focus + label:before {
  border: 2px solid #4778d9;
}

/* hover style just for information */
.custom-checkbox label:hover:before {
  border: 2px solid #4778d9!important;
}
/*******************Fund Preview CSS**********************/
.innerMainContent .panel {
    margin: 10px 0px;
    border-left: 5px solid;
    border-color: #EBEBEB;
    border-radius: 0;
    box-shadow: 0 3px 3px #cccccc;
}

.completePrevForm .panel {
    border-left: 1px solid #dddddd;
    box-shadow: none;
}
.completePrevForm h2.heading {
    font-size: 14px;
    text-transform: uppercase;
    font-weight: bold;
    color: #333333;
}
.completePrevForm .form-group {
    margin-top: 0;
}
.completePrevForm .form-group label {
    margin-bottom: 10px;
}
.completePrevForm .form-group label.heading {
    font-weight: bold;
    color: #333333;
}
.completePrevForm .panel .panel-body {
    padding-bottom: 10px;
}
.completePrevForm .panel-body {
    padding-top: 0;
}
.completePrevForm .btmBrdr {
    border-bottom: 1px solid #dddddd;
    padding: 0 5px;
}
.blueBg {
    background-color: #2196F3;
}

.greenBg {
    background-color: #4CAF50;
}

.tealBg {
    background-color: #009688;
}

.cyanBg {
    background-color: #00B8D4;
}

.orangeBg {
    background-color: #FF5722;
}

.greyBg {
    background-color: #9E9E9E;
}

.blueClass {
    border-left: 5px solid #2196F3 !important;
}

.greenClass {
    border-left: 5px solid #4CAF50 !important;
}

.tealClass {
    border-left: 5px solid #009688 !important;
}

.cyanClass {
    border-left: 5px solid #00B8D4 !important;
}

.orangeClass {
    border-left: 5px solid #FF5722 !important;
}

.greyClass {
    border-left: 5px solid #9E9E9E !important;
}
.margin-horizontal-5{
    margin:0px 5px;
}
.custom-upload .dropzone{
    border: 2px dashed rgba(0,0,0,0.3) !important;
    border-radius: 10px;
}
.custom-upload .dropzone .dz-message{
    color: #ccc;
}
.custom-upload .dropzone .dz-preview .dz-progress{
    z-index : -1;
}
.bulk-client-fund-table td{
    vertical-align: middle  !important;
}
@media screen and (min-width: 1000px) {
    .fundMapDetailsSticky {
        display: block;
    }
}

.app-modal-window .modal-dialog {
    width: 96%;
    height: 96%;
    margin: 0;
    padding: 0;
}

.app-modal-window .modal-content {
    height: auto;
    min-height: 100%;
}

.green {
    color: green;
}

.red {
    color: red;
}

.invisible {
    visibility: hidden;
}
.dropdown-header {
    font-size: 14px;
    padding: 3px 10px;
    color: #BBA058;
}

.breadcrumb_cl {
    padding: 8px 15px;
    margin-bottom: 18px;
    list-style: none;
    background-color: #f5f5f5;
    border-radius: 4px;
}
 .breadcrumb_cl > li {
        display: inline-block;
    }
 .breadcrumb_cl > li >  a {
    color: #ffa100 !important;
    text-decoration: none;
}

        .breadcrumb_cl > li + li:before {
            content: "›";
            padding: 0 5px;
            color: #cccccc;
        }

    .breadcrumb_cl > .active {
        color: #999999;
    }
